#include<iostream>
using namespace std;

long long n, sum=0;
int broy_del (long long);

int main ()
{
    cin >> n;
    if (broy_del(n)==0 || broy_del(n)==1)
        cout << "1";
    else
    {
        for (long long i=broy_del(n); i>=0; i-=2)
        {
            sum+=i;
        }
        cout << sum+(broy_del(n)-3);
    }
    cout << endl;
    return 0;
}

int broy_del (long long n)
{
    long long br=0;
    for (int i=2; i<=n; i++)
    {
        while (n%i==0)
        {
            n/=i;
            br++;
        }
    }
    return br;
}
